/*
   Eclipse Paho MQTT-JS Utility
   by Elliot Williams for Hackaday article

   Hacked up by:  Mark McDermott for EE445L Lab 4E
   On:            5/29/23   
*/

// ---------------------------------------
// Global variables
//

var client      = null;
var hour        = "";
var minute      = "";
var second      = "";
var ampm        = "";
var mil_time    = "";


var hostname        = "10.159.177.113";
var port            = "9001";
var eid             = "XXXXXXXX"
var clientId        = "mqtt_ee445l_" + eid;

// Subscribe (from board_2_webpage)

var hour_bd =   "XXXXXXXX/b2w/hour"; 
var min_bd  =   "XXXXXXXX/b2w/min";
var sec_bd  =   "XXXXXXXX/b2w/sec"; 
var mode_bd =   "XXXXXXXX/b2w/mode"   

// Publish (from webpage_2_board) 
 
var w2b   =  "XXXXXXXX/w2b";

// -----------------------------------------------------------------------
// This is called after the webpage is completely loaded
// It is the main entry point into the JS code

function connect(){
	// Set up the client

    client = new Paho.MQTT.Client(hostname, Number(port), clientId);
	
    console.info('Connecting to Server: Hostname: ', hostname, 
			    '. Port: ', port, '. Client ID: ', clientId);
    

	// set callback handlers
	client.onConnectionLost = onConnectionLost;
	client.onMessageArrived = onMessageArrived;

	// see client class docs for all the options
	var options = {
		onSuccess: onConnect, // after connected, subscribes
		onFailure: onFail     // useful for logging / debugging
	};
	// connect the client
	client.connect(options);
	console.info('Connecting...');
}


function onConnect(context) {
	console.log("Client Connected");
    
    // And subscribe to our topics	-- both with the same callback function
	options = {qos:0, onSuccess:function(context){ console.log("subscribed"); } }

	client.subscribe(hour_bd,   options);
	client.subscribe(min_bd,    options);
	client.subscribe(sec_bd,    options);
    client.subscribe(mode_bd,   options);

}

function onFail(context) {
	console.log("Failed to connect");
}

function onConnectionLost(responseObject) {
	if (responseObject.errorCode !== 0) {
		console.log("Connection Lost: " + responseObject.errorMessage);
		window.alert("Someone else took my websocket!\nRefresh to take it back.");
	}
}


function onMessageArrived(message) {
	console.log(message.destinationName, message.payloadString);

	// Update element depending on which topic's data came in
	if (message.destinationName == mode_bd) {
		mil_time = message.payloadString;
        console.log("MODE: ", mil_time);
	} 
    
 // //////////////////////////////////////////////////////////////////////////
//
//  ADD MORE FUNCTIONS HERE
//
// //////////////////////////////////////////////////////////////////////////   

}

// -----------------------------------------------------------------------
// Provides the button logic that toggles the mode
// Triggered by pressing the HTML button "12/24"
//
function toggle_mode(){
	var payload = "1";
	message = new Paho.MQTT.Message(payload);
	message.destinationName = w2b;
	message.retained = true;
	client.send(message);
	console.info('sending: ', payload);
}

// //////////////////////////////////////////////////////////////////////////
//
//  ADD MORE FUNCTIONS HERE
//
// //////////////////////////////////////////////////////////////////////////


// -----------------------------------------------------------------------
// This function appends AM or PM to the time when not in 24 hour mode
//
function Board_Time() {

    // Creating object of the Date class
    //;
  
    // Variable to store AM / PM
    
    var period = "";
  
    // Assigning AM / PM according to current hour
    if ((hour <= 11) && (mil_time == 0))
    {
        period = "AM";
    } 
    else if (hour >= 12 && (mil_time == 0))
    {
        period = "PM";
        if (hour != 12) {
        hour = hour - 12;
        }
    }
    else if (mil_time == 1)
    {
        period ="";
    }
    
  
    // Adding time elements to the div
    document.getElementById("board-clock").innerText = hour + " : " + minute + " : " + second + " " + period;
  
    // Set Timer to 1 sec (1000 ms)
    setTimeout(Board_Time, 1000);
  }

  function update(t) {
    if (t < 10) {
      return "0" + t;
    }
    else {
      return t;
    }
  }
  
  Board_Time();