//
// Description:   This code is used for DSP processing of audio output data
//                
// Author:        Mark McDermott, Jon Valvano
// Date:          Jan 6, 2025
// 
//
//
// ----------------------------------------------------------------------------
#ifndef __DSP_H__
#define __DSP_H__
#include <stdint.h>

void NoiseReject_Init(void);
int32_t NoiseReject(int32_t x);
int8_t Median(int8_t x);

// 16 element DFT
// calculates magnitude at two frequencies
void DFT_Init(void);
void DFT(uint32_t i, int32_t x);
int32_t Mag1(void); // magnitude at fs/16
int32_t Mag2(void); // magnitude at 2*fs/16
/* how to use these functions
// sample input at fs
void ADC0Seq3_Handler(void){  // runs at fs
// ack ADC completion
// sample = read 12-bit result
// call DFT(index,sample)
// index++
// if index equals N
//   reset index=0;
//   call Mag1
//   call Mag2
//   if mag1>THRESHOLD and mag1>mag2
//      Signal=1, Put(1) 
//   if mag2>THRESHOLD and mag2>mag1
//      Signal=0, Put(0) 
//   else no signal at all,Put(2)
*/
#endif
